<nav>
	<div class="box">
		<div style="margin-right: auto;">
			<a routerLink="/home">Home</a>
			<a *ngIf="isLoggedIn" routerLink="/groups">Dashboard</a>
		</div>
	</div>
	<div class="box">
		<form id="search-form" (submit)="performSearch()">
			<input type="search" placeholder="Search" id="search-bar" name="search" [(ngModel)]="searchQuery"
				autocomplete="off" (focus)="navToSearch()">
		</form>
	</div>
	<div class="box">
		<div style="margin-left: auto;">
			<a *ngIf="isAdmin" routerLink="/admin-portal">Portal</a>
			<a *ngIf="!isLoggedIn" routerLink="/login">Login</a>
			<a *ngIf="!isLoggedIn" routerLink="/signup">Sign-Up</a>
			<a *ngIf="isLoggedIn" routerLink="/home" (click)="logout()">Logout</a>
		</div>
	</div>
</nav>